plugins {
    id("java")
    id("application") // 添加 application 插件
    // shadow 插件用于打包
    id("com.github.johnrengelman.shadow") version "7.1.2"
}

group = "cn.cyanbukkit"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    testImplementation(platform("org.junit:junit-bom:5.10.0"))
    testImplementation("org.junit.jupiter:junit-jupiter")
    implementation("org.json:json:20250107")
    implementation("com.google.zxing:core:3.4.1")
    implementation("com.google.zxing:javase:3.4.1")
    implementation("com.github.kwhat:jnativehook:2.2.2")
    implementation("org.slf4j:slf4j-api:1.7.36")
    implementation("ch.qos.logback:logback-classic:1.2.11")
    implementation("com.squareup.okhttp3:okhttp:4.11.0")
}

tasks.test {
    useJUnitPlatform()
}

// 指定主类
application {
    mainClass.set("cn.cyanbukkit.AliyahPanBackup") // 设置主类为 AliyahPanBackup
}